Jump to content

cpus=1 lapic error fix for hp laptop x86_64


  • Please log in to reply
15 replies to this topic

#1
Cyrus the Great

Cyrus the Great

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 276 posts
  • Gender:Male
  • Location:tehran
i am recantlly upgrade to 10.6.8
and test the cparm branche for boot loader.
with 10.6.8 the kernelpatcher model work with x86_64.
get latest source of cparm branche with:
[font="Courier New"]svn co -r HEAD http://forge.voodoop.../branches/cparm
compile it and see the modules help in doc folder for installation instruction read it carefully.
add this kernel flag from bcc9:npci=0x2000
and set your kernel to mach_kernel
dont use lizard app
it disable the theme if you want to edit com.apple.boot.plist edit it manually.
put your dsdt.aml to this path:/Extra/Acpi
rename your theme folder to Theme
if any one have problem with compiling it report here then i am post the compiled version.
i am not testing it in lion but i think it should work in lion also .
if anyone test it in lion please report here for use of other.
and the end special thanks to cparm for his work and fast problem solving and replay in his branche.
all of the credit of this pot goes to cparm i am only post this for use of other.

you must put all file *.dyld to this path Extra/modules

#2
thanh hoang

thanh hoang

    InsanelyMac Protégé

  • Members
  • PipPip
  • 79 posts
it work on vanilla kernel?
Thanks...

#3
Cyrus the Great

Cyrus the Great

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 276 posts
  • Gender:Male
  • Location:tehran
Yes.its need vanilla kernel

#4
scsimaya

scsimaya

    InsanelyMac Protégé

  • Members
  • Pip
  • 1 posts
The compiled version please ;)

#5
furfu

furfu

    InsanelyMac Protégé

  • Members
  • Pip
  • 7 posts
Yes, can someone make a pkg of this?

Thanks in advance.

#6
Cyrus the Great

Cyrus the Great

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 276 posts
  • Gender:Male
  • Location:tehran
This is compiled version that cparm post .but is better to downlaod the last source and compile it.
http://forge.voodoop...ent/84/i386.zip

#7
Cyrus the Great

Cyrus the Great

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 276 posts
  • Gender:Male
  • Location:tehran
i am install lion and test with it .so this kernel patcher dos not work with lion.
the lapic.c renamed to lapic_native.c

#8
furfu

furfu

    InsanelyMac Protégé

  • Members
  • Pip
  • 7 posts
Can you please make a installer of it akbarmoradi?

#9
verleihnix

verleihnix

    InsanelyMac Geek

  • Members
  • PipPipPip
  • 163 posts
  • Gender:Male
Please post your working binaries from i386 folder.
The files from post 6 doesn't work.

#10
ddduckman

ddduckman

    InsanelyMac Protégé

  • Members
  • Pip
  • 28 posts
if I understand this is to be able to use the mach_kernel (Vanilla) with computers that have the local apic error.
I need it to install Lion, I can not even start the installer because the mach_kernel causes local apic error.
Can you Provide more detailed instruction on how to use this please??

#11
Cyrus the Great

Cyrus the Great

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 276 posts
  • Gender:Male
  • Location:tehran

if I understand this is to be able to use the mach_kernel (Vanilla) with computers that have the local apic error.
I need it to install Lion, I can not even start the installer because the mach_kernel causes local apic error.
Can you Provide more detailed instruction on how to use this please??

this is not work in lion it work perfect with 10.6.8 .for booting your installer use cpus=1
some want the installer i don't how can create installer for chameleon .its better to get latest source and compile it and read the help include doc.the post binary work just create modules folder like instruction in first post.

#12
verleihnix

verleihnix

    InsanelyMac Geek

  • Members
  • PipPipPip
  • 163 posts
  • Gender:Male
I can't compile the sources. I don't have xcode.
Please zip the files you installed and post it here.

#13
Cyrus the Great

Cyrus the Great

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 276 posts
  • Gender:Male
  • Location:tehran

I can't compile the sources. I don't have xcode.
Please zip the files you installed and post it here.

place your dsdt.aml in Acpi folder and cp boot to your root partition

Attached Files



#14
verleihnix

verleihnix

    InsanelyMac Geek

  • Members
  • PipPipPip
  • 163 posts
  • Gender:Male
Thank you
I tried it, took the boot0 and boot1h from post 6.
but the lapic patch doesn't work with 10.8 kernel.
error: unable to locate _lapic_start
With 10.7 kernel it works.

#15
Cyrus the Great

Cyrus the Great

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 276 posts
  • Gender:Male
  • Location:tehran
I am replace my snow with lion but i test it in 10.8 and work may be cparm modify source test kernelpatcher from post 6
Plz

#16
Guest: sincro77_*

Guest: sincro77_*
  • Guests
thank you soooo much

...got me booting my usb install of iatkos s3 v2 on cheapo laptop -- compaq ,nforcemcp78s nvidia8200g m amd turion x2 64

nothing else worked. i tried for WEEKS.!!!!!!!!!!!!!!!!!!!!!!!!!!!!! :hammer:

- this the only boot file/extra folder that got me to the installer - now running off usb hd.
i used pcj 10.2 kernel. used usb instead of dvd so i could edit the installer..!!! yeehaw~

Again..Thankyou.. I was ready to give up..tried everything.. until i found this...

cheers!

sincro77 :)





1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users

© 2014 InsanelyMac  |   News  |   Forum  |   Downloads  |   OSx86 Wiki  |   Mac Netbook  |   Web hosting by CatN  |   Designed by Ed Gain  |   Logo by irfan  |   Privacy Policy